<?php
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	$id = $_SESSION['id'];
	require_once('wiras_php/wa_baza/wa_polacz.php');
		$zap = "SELECT * FROM blog_wpis WHERE id_user=$id ORDER BY id_wpis ASC";
		$wynik_pobierz = mysqli_query($db, $zap);
		$wynik = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$wynik[] = $wiersz;
			}	
	
	$lp = count($wynik);
	if ($lp>0) {
		echo '<div id="panel_blog">';
			for ($i=0; $i<$lp; $i++) {
				echo '<div id="wpis_usun">';
					echo '<input type="checkbox" class="cb'.$wynik[$i][0].'" id="cb_usun">';
					echo '<span style="color: #f44"><b>( '.($i+1).' )</b></span><br />';
					echo '<span style="color: #fb4; text-align: center;"><b>'.$wynik[$i][2].'</b></span><br />';
					echo '<span style="color: #eff">'.$wynik[$i][3].'<br />';
					echo '--------------------------------------------------------------------------<br />';
					echo '<span style="color: #ee4">'.$wynik[$i][4].'</b></span>';
				echo '</div>';
			}
		echo '</div>';
		echo '<div id="wpis_usun_menu">';
				echo '<p id="napis_blog_usun">MENU</p>';
				echo '<div style="width: 140px; margin: 5px auto; padding: 0 25px;">';	
					echo '<input type="button" id="button_menu3" class="uw_wszystkie" value="Wszystkie">';
					echo '<input type="button" id="button_menu3" class="uw_10" value="10 ostatnich">';
				echo '</div>';
				echo 'Zaznacz odpowiedni wpis, lub kilka wpisów a następnie kliknij na przycisk ';
				echo '"Usuń wpis". Pamiętaj! Usunięcie wpisu usunie także wszystkie komentarze, które ';
				echo 'zostały do niego dodane.';
				echo '<div style="width: 140px; margin: 10px auto; padding: 0 25px;">';	
					echo '<input type="button" id="button_menu3" class="usun_wpis" value="Usuń wpis">';
				echo '</div>';	
				echo '<div id="usun_komunikat">';
					echo 'Wpis został poprawnie usunięty';
				echo '</div>';
		echo '</div>';
	} else {
		echo '<br /><p style="color: #e22; text-align: center;font-size: 3em"><b>Nie dodałeś jeszcze</b></p>';
		echo '<br /><p style="color: #e22; text-align: center;font-size: 3em"><b>żadnego wpisu</b></p>';
	}
?>
<script type="text/javascript"> 
<?php
	echo 'var id='.$id.';';
?>

$(document).ready(function(){
	
	$('.usun_wpis').click(function() {
		var tid = [];
		var i = 0;
		var operacja=0;
		$("#cb_usun:checked").each(function() {
			var nid = $(this).attr('class');
			var id = nid.slice(2, nid.length);
			tid[i]=id;	
			i++;
		});	
		if (i==0) {
			alert('Nie zaznaczyłeś żadnego wpisu');
		} else {
			$.ajax({
				type:"POST",
				url:"wiras_php/wa_baza/wa_usun_wpis.php",
				data: {k1:id, k2:operacja, k3:tid},
					success:function(s) {
							$('#panel_blog').html(s); 
							$('#usun_komunikat').fadeIn(1000);
							setTimeout(function(){
								$('#usun_komunikat').fadeOut(1000);
							}, 5000);  			
					},
					error: function(blad) {
						console.log("Błąd-Problem z usunięciem wpisu"); 
					}
				});	
		}	
    });
		
	$('.uw_wszystkie').click(function() {
		ajaxWyswietl(1)				         
    });
	
	$('.uw_10').click(function() {
		ajaxWyswietl(2)				         
    });
	
	function ajaxWyswietl(op) {
		var operacja = op;
		$.ajax({
            type:"POST",
            url:"wiras_php/wa_baza/wa_usun_wpis.php",
            data: {k1:id, k2:operacja},
                success:function(s) {
						$('#panel_blog').html(s);  		
				},
                error: function(blad) {
                    console.log("Błąd-Problem z odświeżeniem po usunięciu wpisu"); 
                }
        });	
	};

			
    
});
</script>